/* Memory layout.

   Copyright (c) 2011, Adapteva, Inc.
   All rights reserved.

   Redistribution and use in source and binary forms, with or without
   modification, are permitted provided that the following conditions are met:
    * Redistributions of source code must retain the above copyright notice,
      this list of conditions and the following disclaimer. 
    * Redistributions in binary form must reproduce the above copyright
      notice, this list of conditions and the following disclaimer in the
      documentation and/or other materials provided with the distribution.
    * Neither the name of Adapteva nor the names of its contributors may be
      used to endorse or promote products derived from this software without
      specific prior written permission.

   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
   AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
   ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
   LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
   CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
   SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
   INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
   CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
   ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
   POSSIBILITY OF SUCH DAMAGE.                                               */

/* Ideally this kind of stuff is specified in a linker script.  It's not clear
   what the default linker script should do, so for now we have this.  */

/* Keep this file separate from sbrk.c so the programmer can supply his/her
   own _sbrk_r.  This file could go in crt0.S, but I want to keep this in C.
*/

//#ifndef STACK_SIZE
///* Cache lines recycle at 4096 I think, and 4096 is listed as the page size,
//   so we make the stack size a multiple of it.  Not that it's relevant or
//   anything, but why not base it on *something*?  */
//#define STACK_SIZE (4096 * 4)
//#endif
//
//int stack_size asm ("stack_size") = STACK_SIZE;
//
//#ifndef SBRK_SIZE
//#define SBRK_SIZE (4096 * 32)
//#endif
//
//int sbrk_size asm ("sbrk_size") = SBRK_SIZE;

/* The memory lay out is defined by linker file !!!!!!!!!! */
